Full name: projects.locations.migratableResources.batchMigrate
Batch migrates resources from ml.googleapis.com, automl.googleapis.com, and datalabeling.googleapis.com to Agent Platform.
Endpoint
posthttps://{service-endpoint}/v1beta1/{parent}/migratableResources:batchMigrate
Where {endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The location of the migrated resource will live in. Format: projects/{project}/locations/{location}
Request body
The request body contains data with the following structure:
Required. The request messages specifying the resources to migrate. They must be in the same location as the destination. Up to 50 resources can be migrated in one batch.
Response body
If successful, the response body contains an instance of Operation.
MigrateResourceRequest
Config of migrating one resource from automl.googleapis.com, datalabeling.googleapis.com and ml.googleapis.com to Agent Platform.
requestUnion type
request can be only one of the following:Config for migrating version in ml.googleapis.com to Agent Platform's Model.
Config for migrating Model in automl.googleapis.com to Agent Platform's Model.
Config for migrating Dataset in automl.googleapis.com to Agent Platform's Dataset.
Deprecated: data labeling service is shut down. Config for migrating Dataset in datalabeling.googleapis.com to Agent Platform's Dataset.
| JSON representation |
|---|
{ // request "migrateMlEngineModelVersionConfig": { object ( |
MigrateMlEngineModelVersionConfig
Config for migrating version in ml.googleapis.com to Agent Platform's Model.
endpointstring
Required. The ml.googleapis.com endpoint that this model version should be migrated from. Example values:
ml.googleapis.com
us-centrall-ml.googleapis.com
europe-west4-ml.googleapis.com
asia-east1-ml.googleapis.com
modelVersionstring
Required. Full resource name of ml engine model version. Format: projects/{project}/models/{model}/versions/{version}.
modelDisplayNamestring
Required. Display name of the model in Agent Platform. System will pick a display name if unspecified.
| JSON representation |
|---|
{ "endpoint": string, "modelVersion": string, "modelDisplayName": string } |
MigrateAutomlModelConfig
Config for migrating Model in automl.googleapis.com to Agent Platform's Model.
modelstring
Required. Full resource name of automl Model. Format: projects/{project}/locations/{location}/models/{model}.
modelDisplayNamestring
Optional. Display name of the model in Agent Platform. System will pick a display name if unspecified.
| JSON representation |
|---|
{ "model": string, "modelDisplayName": string } |
MigrateAutomlDatasetConfig
Config for migrating Dataset in automl.googleapis.com to Agent Platform's Dataset.
datasetstring
Required. Full resource name of automl Dataset. Format: projects/{project}/locations/{location}/datasets/{dataset}.
datasetDisplayNamestring
Required. Display name of the Dataset in Agent Platform. System will pick a display name if unspecified.
| JSON representation |
|---|
{ "dataset": string, "datasetDisplayName": string } |
MigrateDataLabelingDatasetConfig
Config for migrating Dataset in datalabeling.googleapis.com to Agent Platform's Dataset.
datasetstring
Required. Full resource name of data labeling Dataset. Format: projects/{project}/datasets/{dataset}.
datasetDisplayNamestring
Optional. Display name of the Dataset in Agent Platform. System will pick a display name if unspecified.
Optional. Configs for migrating AnnotatedDataset in datalabeling.googleapis.com to Agent Platform's SavedQuery. The specified AnnotatedDatasets have to belong to the datalabeling Dataset.
| JSON representation |
|---|
{
"dataset": string,
"datasetDisplayName": string,
"migrateDataLabelingAnnotatedDatasetConfigs": [
{
object ( |
MigrateDataLabelingAnnotatedDatasetConfig
Config for migrating AnnotatedDataset in datalabeling.googleapis.com to Agent Platform's SavedQuery.
annotatedDatasetstring
Required. Full resource name of data labeling AnnotatedDataset. Format: projects/{project}/datasets/{dataset}/annotatedDatasets/{annotatedDataset}.
| JSON representation |
|---|
{ "annotatedDataset": string } |